import pandas as pd
import matplotlib.pyplot as plt

# Dieses Beispiel erstellt ein Histogram der Nabenhoehe von Windkraftanlagen aus einer csv Datei

# read the csv file, interpret ';' as the seperator of columns and ',' as a decimal indicator and convert it to '.' as decimal indicator in the table
df = pd.read_csv("aktuell.csv", sep=';', decimal=',')

# Drop unwanted columns. Comment out the columns to keep.
# You can use print(df.columns) to see all available columns
df = df.drop(columns=[ 'KREIS',
#	'GEMEINDE',
	 'TYP', 'HERSTELLER',
#	'NABENHOEHE',
#	'ROTORDURCHMESSER',
	'SCHALLLEISTUNGSPEGEL',
#	'LEISTUNG',
	'LEISTUNGSBEZUG',
#	'OSTWERT', 'NORDWERT', 'GENEHMIGT_AM',
	'INBETRIEBNAHME', 'STATUS', 'BST_NR', 'ANL_NR',
#	'AKTENZEICHEN',
	'DATENDATUM', 'DATENQUELLE'
])

# Which column to use for the histogram
column_of_interest = "NABENHOEHE"

# print the highest 20 values of the column of the dataset
print(df.sort_values(column_of_interest, ascending=False).take(range(20)))

# plot a histogram for each numerical feature
# drop all rows that contain NaN in the specified column
df_clean = df.dropna(subset=[column_of_interest])
df_clean[column_of_interest].hist(bins=25, rwidth=.9)

# Put labels on the x and y axis
plt.title("Wind Turbines")
plt.xlabel(column_of_interest.title())
plt.ylabel("Anzahl")
plt.savefig("histogram.png")
plt.show()
