import pandas as pd
import matplotlib.pyplot as plt

# Lese die csv Datei und interpretiere ';' als Trennzeichen und ',' als decimalzeichen und erstelle keinen Index
df = pd.read_csv("pegel.csv", sep=';', decimal=',', index_col=False)

# Wähle nur die Zeit und wasserstand Spalten aus und ignoriere die anderen Spalten
df = df[["Zeit", "wasserstand"]]

# Interpretiere die Zeit als datetime Objekte und die Wasserstände als Zahlen
df["Zeit"] = pd.to_datetime(df["Zeit"])
df["wasserstand"] = pd.to_numeric(df["wasserstand"])

# Filtere die Daten nach dem gewünschten Jahr. Zum Beispiel 2023
df = df[df.Zeit.dt.year.eq(2023)]

# Plotte die Daten
plt.plot(df["Zeit"], df["wasserstand"])

# Schreibe die Zeiten schräg unter die x Achse
plt.gcf().autofmt_xdate()

# Speichere es als png
plt.savefig("output.png")
